package ru.dbotthepony.mc.otm.capability

import net.minecraft.world.item.ItemStack
import net.minecraftforge.items.IItemHandler

object EmptyItemHandler : IItemHandler {
	override fun getSlots(): Int {
		return 0
	}

	override fun getStackInSlot(slot: Int): ItemStack {
		return ItemStack.EMPTY
	}

	override fun insertItem(slot: Int, stack: ItemStack, simulate: Boolean): ItemStack {
		return stack
	}

	override fun extractItem(slot: Int, amount: Int, simulate: Boolean): ItemStack {
		return ItemStack.EMPTY
	}

	override fun getSlotLimit(slot: Int): Int {
		return 0
	}

	override fun isItemValid(slot: Int, stack: ItemStack): Boolean {
		return false
	}
}
